/// Support for interoperating with [Node.js](https://nodejs.org) APIs.
@JS()
library nodejs_interop.node;

import 'dart:convert';
import 'dart:typed_data';
import 'package:js/js.dart';
import 'js.dart';

part 'node/assert/assert_module.dart';
part 'node/assert/assertion_error.dart';
part 'node/buffer/buffer.dart';
part 'node/buffer/buffer_constants.dart';
part 'node/buffer/buffer_encoding.dart';
part 'node/buffer/buffer_module.dart';
part 'node/child_process/child_process.dart';
part 'node/child_process/child_process_module.dart';
part 'node/cluster/cluster_module.dart';
part 'node/cluster/worker.dart';
part 'node/console/console.dart';
part 'node/dns/dns_module.dart';
part 'node/dns/dns_record.dart';
part 'node/dns/ip_address.dart';
part 'node/dns/resolver.dart';
part 'node/dns/resource_record_type.dart';
part 'node/errors/error.dart';
part 'node/errors/system_error.dart';
part 'node/events/event_emitter.dart';
part 'node/fs/fs_constants.dart';
part 'node/fs/fs_module.dart';
part 'node/fs/fs_watcher.dart';
part 'node/fs/options.dart';
part 'node/fs/stats.dart';
part 'node/fs/stream.dart';
part 'node/globals.dart';
part 'node/http/agent.dart';
part 'node/http/http_module.dart';
part 'node/http/server.dart';
part 'node/modules/module.dart';
part 'node/modules/module_module.dart';
part 'node/modules/require.dart';
part 'node/net/net_module.dart';
part 'node/net/server.dart';
part 'node/net/socket.dart';
part 'node/os/cpu.dart';
part 'node/os/network_address.dart';
part 'node/os/os_constants.dart';
part 'node/os/os_module.dart';
part 'node/os/user_info.dart';
part 'node/path/path_module.dart';
part 'node/path/path_object.dart';
part 'node/process/process.dart';
part 'node/querystring/query_string_module.dart';
part 'node/stream/duplex.dart';
part 'node/stream/readable.dart';
part 'node/stream/transform.dart';
part 'node/stream/writable.dart';
part 'node/string_decoder/string_decoder.dart';
part 'node/url/url.dart';
part 'node/url/url_module.dart';
part 'node/url/url_object.dart';
part 'node/util/inspect_function.dart';
part 'node/util/promisify_function.dart';
part 'node/util/text_decoder.dart';
part 'node/util/text_encoder.dart';
part 'node/util/util_module.dart';
part 'node/vm/script.dart';
part 'node/vm/vm_module.dart';
