import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the [ModuleModule] class.
void main() => group('ModuleModule', () {
  var module = loadLibrary<ModuleModule>('module');

  group('.builtinModules', () {
    test('should return a list of all modules provided by Node.js', () {
      expect(module.builtinModules, allOf(isNotEmpty, containsAllInOrder(['assert', 'buffer', 'child_process', 'console'])));
    });
  });
});
