/// Support for interoperating with [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript) APIs.
@JS()
library nodejs_interop.js;

import 'dart:typed_data';
import 'package:js/js.dart';

part 'js/json.dart';
part 'js/object.dart';
part 'js/promise.dart';
part 'js/reflect.dart';
part 'js/typed_array.dart';
