part of nodejs_interop.js;

/// Provides methods for interceptable [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript) operations.
/// TODO: finish the implementation!
@JS('Reflect')
abstract class Reflect {

  /// Deletes a property of the specified [target] object.
  /// Returns a value indicating whether the property was successfully deleted.
  external static bool deleteProperty(target, propertyKey);

  /// Sets the [prototype] of the specified [target] object.
  /// Returns a value indicating whether the prototype was successfully set.
  external static bool setPrototypeOf(target, prototype);
}
